DefaultStyledDocument.SectionElement (Java SE 17 & JDK 17)
Description: declaration: module: java.desktop, package: javax.swing.text, class: DefaultStyledDocument, class: SectionElement
Keywords: javax.swing.text.DefaultStyledDocument.SectionElement class

Module java.desktop
Package javax.swing.text

# Class DefaultStyledDocument.SectionElement

java.lang.Object
javax.swing.text.AbstractDocument.AbstractElement
javax.swing.text.AbstractDocument.BranchElement
javax.swing.text.DefaultStyledDocument.SectionElement

All Implemented Interfaces:
  `Serializable`, `AttributeSet`, `Element`, `MutableAttributeSet`, `TreeNode`

Enclosing class:
  DefaultStyledDocument

protected class DefaultStyledDocument.SectionElement extends AbstractDocument.BranchElement
Default root element for a document... maps out the paragraphs/lines contained.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Nested Class Summary

  ## Nested classes/interfaces declared in interface javax.swing.text.AttributeSet

  `AttributeSet.CharacterAttribute, AttributeSet.ColorAttribute, AttributeSet.FontAttribute, AttributeSet.ParagraphAttribute`

- ## Field Summary

  ### Fields declared in interface javax.swing.text.AttributeSet

  `NameAttribute, ResolveAttribute`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SectionElement()`
  Creates a new SectionElement.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the name of the element.

  ### Methods declared in class javax.swing.text.AbstractDocument.BranchElement

  `children, getAllowsChildren, getElement, getElementCount, getElementIndex, getEndOffset, getStartOffset, isLeaf, positionToElement, replace, toString`

  ### Methods declared in class javax.swing.text.AbstractDocument.AbstractElement

  `addAttribute, addAttributes, containsAttribute, containsAttributes, copyAttributes, dump, getAttribute, getAttributeCount, getAttributeNames, getAttributes, getChildAt, getChildCount, getDocument, getIndex, getParent, getParentElement, getResolveParent, isDefined, isEqual, removeAttribute, removeAttributes, removeAttributes, setResolveParent`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SectionElement

    public SectionElement()
    Creates a new SectionElement.

- ## Method Details

  - ### getName

    public String getName()
    Gets the name of the element.
    Specified by:
      `getName` in interface `Element`
    Overrides:
      `getName` in class `AbstractDocument.BranchElement`
    Returns:
      the name